> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prelude.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List available Sender IDs

> Retrieve sender IDs list.

In order to get access to this endpoint, contact our support team.


List the custom sender IDs registered on your account. Sender IDs are branded identifiers (such as your company name) that appear as the sender of verification messages. Use this endpoint to inspect the sender IDs Prelude has approved for you and to check their country availability before referencing one in the `options.sender_id` field of a [Create Verification](/verify/v2/api-reference/create-or-retry-a-verification) request.

<Info>
  Access to the management API is opt-in. [Contact our support team](mailto:support@prelude.so) to enable it on your account. For background on how sender IDs work, see the [Custom Sender IDs](/verify/v2/documentation/sender-id) guide.
</Info>


## OpenAPI

````yaml get /v2/verification/management/sender-id
openapi: 3.1.0
info:
  title: Prelude API
  version: 2.0.0
  description: The Prelude API allows you to send messages to your users.
  contact:
    email: support@prelude.so
servers:
  - url: https://api.prelude.dev
    description: Production server
security:
  - apiToken: []
tags:
  - name: Notify
    description: Send transactional and marketing messages with compliance enforcement.
  - name: Transactional
    description: Send transactional messages (deprecated - use Notify API instead).
  - name: Verify
    description: Verify phone numbers.
  - name: Watch
    description: Evaluate email addresses and phone numbers for trustworthiness.
  - name: Lookup
    description: >-
      Retrieve detailed information about a phone number including carrier data,
      line type, and portability status.
paths:
  /v2/verification/management/sender-id:
    get:
      tags:
        - Verify
      summary: List available Sender IDs
      description: |
        Retrieve sender IDs list.

        In order to get access to this endpoint, contact our support team.
      operationId: listSenderIDs
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVerificationSenderIDsResponse'
        '400':
          description: KO
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ListVerificationSenderIDsResponse:
      type: object
      description: A list of Sender ID.
      properties:
        sender_ids:
          type: array
          items:
            type: object
            properties:
              sender_id:
                type: string
                description: Value that will be presented as Sender ID
              status:
                type: string
                description: |
                  It indicates the status of the Sender ID. Possible values are:
                    * `approved` - The Sender ID is approved.
                    * `pending` - The Sender ID is pending.
                    * `rejected` - The Sender ID is rejected.
                enum:
                  - approved
                  - pending
                  - rejected
    Error:
      type: object
      properties:
        code:
          type: string
          description: The error code.
          examples:
            - invalid_phone_number
        message:
          type: string
          examples:
            - >-
              The provided phone number is invalid. Provide a valid E.164 phone
              number.
          description: A human-readable message describing the error.
        type:
          type: string
          examples:
            - bad_request
          description: The error type.
        request_id:
          type: string
          examples:
            - 3d19215e-2991-4a05-a41a-527314e6ff6a
          description: >-
            A string that identifies this specific request. Report it back to us
            to help us diagnose your issues.
      required:
        - code
        - message
        - type
  securitySchemes:
    apiToken:
      type: http
      scheme: bearer

````